@ECHO OFF

CLS

ECHO Server DLLOCX Source UniCode Checking ...
ECHO.

ECHO Set Server DLLOCX Path ...
:STEP1
SET mRootPath=%~dp0..
PushD %mRootPath%
SET mRootPath=%CD%
SET /P mRootPath=Please input server DLLOCX path [%mRootPath%] : 
If %mRootPath%.==. GOTO STEP1
ECHO.

PushD %mRootPath%

FOR /F %%i IN ('DIR /s /b HexUniControls42.OCX') DO (
	FOR /F %%i IN ('DIR /s /b FPSPRU80.OCX') DO (
		FOR /F %%i IN ('DIR /s /b UniBox210.OCX') DO (
			GOTO :Exist
		)
	)
)

ECHO.

:None
ECHO ********************************************
ECHO  DLLOCX components are not unicode version!
ECHO ********************************************
GOTO :END

:Exist
ECHO ****************************************
ECHO  DLLOCX components are unicode version!
ECHO ****************************************

:END
ECHO.
PAUSE
